Cyberduck Mountain Duck CLI

#3137 closed defect (worksforme)

MLSD listing incompatibility

Reported by: drew.covi@… Owned by: dkocher
Priority: high Milestone:
Component: ftp Version: 3.2
Severity: critical Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

I have a couple mediatemple accounts I administer. Seems if I connect as serveradmin@… Cyberduck flips out.

If no remote path is set, it simply keeps reconnecting over and over and over again.

If the remote path of "/" is set, it connects, disconnects and remains on the bookmarks page. But for some reason there's a green connected indicator next to the bookmark (can't find a browser anywhere though for the connection).

Just started happening with the latest and greatest.

MLSD
150 Accepted data connection
type=dir;sizd=2;modify=20080407152740;UNIX.mode=0750;UNIX.uid=342049;UNIX.gid=33;unique=16g22db623;
containers
type=dir;sizd=6;modify=20080517214805;UNIX.mode=0750;UNIX.uid=342049;UNIX.gid=41605;unique=16g22db624;
data
type=dir;sizd=12;modify=20090424150310;UNIX.mode=0750;UNIX.uid=342049;UNIX.gid=33;unique=16g22db63a;
domains
type=dir;sizd=3;modify=20080407152740;UNIX.mode=0750;UNIX.uid=342049;UNIX.gid=33;unique=16g22db797;
etc
type=dir;sizd=237;modify=20090428172521;UNIX.mode=02750;UNIX.uid=33;UNIX.gid=41605;unique=16g22db798;
logs

Change History (11)

comment:1 Changed on Apr 28, 2009 at 6:07:43 PM by drew.covi@…

can't leave a comment?

comment:2 Changed on Apr 28, 2009 at 6:08:22 PM by drew.covi@…

log of ftp connecting and disconnecting immediately.

220---------- Welcome to Pure-FTPd [privsep] [TLS] ----------
220-You are user number 157 of 400 allowed.
220-Local time is now 11:06. Server port: 21.
220-This is a private system - No anonymous login
220 You will be disconnected after 15 minutes of inactivity.
USER serveradmin@vetta-zelo.com
331 User serveradmin@vetta-zelo.com OK. Password required
PASS ********
230-User serveradmin@vetta-zelo.com has group access to:  41605   
230 OK. Current directory is /
FEAT
211-Extensions supported:
 EPRT
 IDLE
 MDTM
 SIZE
 REST STREAM
 MLST type*;size*;sizd*;modify*;UNIX.mode*;UNIX.uid*;UNIX.gid*;unique*;
 MLSD
 TVFS
 ESTP
 PASV
 EPSV
 SPSV
 ESTA
 AUTH TLS
 PBSZ
 PROT
211 End.
NOOP
200 Zzz...
CWD /
250 OK. Current directory is /
SYST
215 UNIX Type: L8
PASV
227 Entering Passive Mode (64,13,232,159,207,36)
MLSD
150 Accepted data connection
type=dir;sizd=2;modify=20080407152740;UNIX.mode=0750;UNIX.uid=342049;UNIX.gid=33;unique=16g22db623; containers
type=dir;sizd=6;modify=20080517214805;UNIX.mode=0750;UNIX.uid=342049;UNIX.gid=41605;unique=16g22db624; data
type=dir;sizd=12;modify=20090424150310;UNIX.mode=0750;UNIX.uid=342049;UNIX.gid=33;unique=16g22db63a; domains
type=dir;sizd=3;modify=20080407152740;UNIX.mode=0750;UNIX.uid=342049;UNIX.gid=33;unique=16g22db797; etc
type=dir;sizd=237;modify=20090428172521;UNIX.mode=02750;UNIX.uid=33;UNIX.gid=41605;unique=16g22db798; logs

Last edited on Nov 7, 2011 at 10:21:49 PM by dkocher (previous) (diff)

comment:3 Changed on Apr 28, 2009 at 6:12:29 PM by drew.covi@…

this is a log of when I change the home directory to nothing. (previous example had a home directory of "/")

220---------- Welcome to Pure-FTPd [privsep] [TLS] ----------
220-You are user number 147 of 400 allowed.
220-Local time is now 11:10. Server port: 21.
220-This is a private system - No anonymous login
220 You will be disconnected after 15 minutes of inactivity.
USER serveradmin@vetta-zelo.com
331 User serveradmin@vetta-zelo.com OK. Password required
PASS ********
230-User serveradmin@vetta-zelo.com has group access to:  41605   
230 OK. Current directory is /
FEAT
211-Extensions supported:
 EPRT
 IDLE
 MDTM
 SIZE
 REST STREAM
 MLST type*;size*;sizd*;modify*;UNIX.mode*;UNIX.uid*;UNIX.gid*;unique*;
 MLSD
 TVFS
 ESTP
 PASV
 EPSV
 SPSV
 ESTA
 AUTH TLS
 PBSZ
 PROT
211 End.
PWD
257 "/" is your current location
NOOP
200 Zzz...
SYST
215 UNIX Type: L8
PASV
227 Entering Passive Mode (64,13,232,159,212,223)
MLSD
150 Accepted data connection
type=dir;sizd=2;modify=20080407152740;UNIX.mode=0750;UNIX.uid=342049;UNIX.gid=33;unique=16g22db623; containers
type=dir;sizd=6;modify=20080517214805;UNIX.mode=0750;UNIX.uid=342049;UNIX.gid=41605;unique=16g22db624; data
type=dir;sizd=12;modify=20090424150310;UNIX.mode=0750;UNIX.uid=342049;UNIX.gid=33;unique=16g22db63a; domains
type=dir;sizd=3;modify=20080407152740;UNIX.mode=0750;UNIX.uid=342049;UNIX.gid=33;unique=16g22db797; etc
type=dir;sizd=237;modify=20090428172521;UNIX.mode=02750;UNIX.uid=33;UNIX.gid=41605;unique=16g22db798; logs
NOOP
226-Options: -l 
226 7 matches total
Last edited on Nov 7, 2011 at 10:22:01 PM by dkocher (previous) (diff)

comment:4 Changed on Apr 29, 2009 at 8:17:52 PM by drew.covi@…

looks like this was an issue with mediatemple.

due to their ftp settings previously, i had to disable sendStatListCommand to show hidden files.

now they must have changed something...

defaults write ch.sudo.cyberduck ftp.sendStatListCommand true fixed it.

comment:5 Changed on Apr 29, 2009 at 8:21:43 PM by dkocher

  • Component changed from core to ftp
  • Summary changed from Cyberduck keeps reconnecting to server, or immediately disconnects. to MLSD listing incompatibility

comment:6 Changed on Apr 29, 2009 at 8:22:56 PM by dkocher

  • Description modified (diff)
  • Milestone set to 3.2.1
  • Status changed from new to assigned
  • Version changed from 3.1.2 to 3.2

comment:7 Changed on Apr 30, 2009 at 7:46:46 PM by dkocher

As a workaround, you can disable MLSD support using

defaults write ch.sudo.cyberduck ftp.sendMlsdListCommand false

comment:8 Changed on Jun 26, 2009 at 7:32:44 PM by dkocher

  • Milestone 3.2.1 deleted

comment:9 Changed on Jul 8, 2009 at 11:07:27 PM by aberkvam@…

I am having the same problem connecting to a PureFTPd server over TLS. Connecting with plain FTP works fine.

I can work around the problem by going to CyberDuck preferences, FTP tab, and unchecking "Try to use TLS for data channel".

Interestingly, another server with an almost identical configuration doesn't have this problem.

Working server: pure-ftpd-1.0.21_1 Cert issued by EquiFax but expired

Non-working server: pure-ftpd-1.0.22 Self-signed cert

Turns out that PureFTPd 1.0.22 added support for TLS on data channels. From their changelog:

  • TLS support on data channels, contributed by Rajat Upadhyaya from Novell

and Christian Cier-Zniewski.

Not sure if this is a CyberDuck or ProFTPd bug.

comment:10 Changed on Nov 13, 2009 at 10:34:35 PM by dkocher

#3681 closed as duplicate.

comment:11 Changed on Dec 29, 2009 at 4:05:46 PM by dkocher

  • Resolution set to worksforme
  • Status changed from assigned to closed

From the Pure-FTPd changelog at http://download.pureftpd.org/pub/pure-ftpd/doc/ChangeLog :

  • Version 1.0.26:
  • Fix incompatibilities with Cyberduck when TLS is enabled.

I updated from Pure-FTPd 1.0.22 to 1.0.27 and this MLSD problem no longer occurred. Looks like it was a bug on Pure-FTPd and they fixed it.

Note: See TracTickets for help on using tickets.
swiss made software